# PyQt6 计算器

这是一个使用 PyQt6 构建的现代计算器应用。

## 使用说明

1. 克隆仓库：

   ```sh
   git clone https://git.taurusxin.com/taurusxin/modern-calculator.git
   cd modern-calculator
   ```

2. 创建并激活虚拟环境：

   ### Windows 系统

   ```sh
   python -m venv venv
   .\venv\Scripts\activate
   ```

   ### macOS 和 Linux 系统

   ```sh
   python3 -m venv venv
   source venv/bin/activate
   ```

3. 安装所需依赖：

   ```sh
   pip install -r requirements.txt
   ```

4. 运行应用：

   ```sh
   python calculator.py
   ```

## 打包应用

要将应用打包成独立的可执行文件，请运行以下脚本：

```sh
python build.py
```
